import os
from flask import url_for

def list_files_in_dir(directory_path: str) -> list[str]:
    file_list = os.listdir(directory_path)

    file_list = [file for file in file_list if os.path.isfile(os.path.join(directory_path, file))]

    return file_list

def generate_url(directory_path: str, file_name: str) -> str:
    url = url_for('static', filename=f'{directory_path}/{file_name}')
    return url